# Single Case

## Get a case

<mark style="color:blue;">`GET`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/objects/case/{{caseId}}`

Retrieve a single case. The **caseId** must be passed in to the endpoint as a path parameter.&#x20;

#### Path Parameters

| Name                                     | Type    | Description  |
| ---------------------------------------- | ------- | ------------ |
| caseId<mark style="color:red;">\*</mark> | integer | The case ID. |

#### Query Parameters

| Name      | Type   | Description                                                                                                                                                                                                                                                                     |
| --------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| select    | string | Available filters: channel \| status \| dateCreated \| dateUpdated \| id \| contactId \| closedBy \| visitId \| title \| description \| closingState \| dateQueue \| datePending \| dateActive \| dateClosed \| queueId \| queueOrder \| meta \| parentId \| userId \| waitTime |
| relations | string | contact                                                                                                                                                                                                                                                                         |

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer {{API\_KEY}} |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "id": 30,
        "channel": "chat",
        "status": "active",
        "contact": {
            "dateCreated": "2020-12-10T11:54:24.000Z",
            "dateUpdated": "2021-03-03T10:19:49.000Z",
            "id": 5,
            "clientType": "web",
            "clientName": "Chrome",
            "clientVersion": "88.0",
            "clientOsName": "Windows",
            "clientOsVersion": "10",
            "clientDeviceType": "Desktop",
            "clientDeviceVendor": null,
            "clientDeviceModel": null,
            "clientDetails": {
                "ua": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36",
                "engine": {
                    "name": "Blink",
                    "version": "88.0.4324.190"
                },
                "network": {
                    "type": "4g",
                    "speed": "18"
                }
            },
            "archive": "no",
            "companyId": null
        },
        "threadId": 30
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/conversation/conversation-or-cases/get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
